<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
import { ref, provide } from 'vue'
import PromotionDialog from './PromotionDialog.vue'
import { usePromotionStore } from '@/stores/promotion'
const receiptStore = useReceiptStore()
const PromotionStore = usePromotionStore()

const tab = ref(1)
const dialog = ref(false)

provide('promotionDialog', dialog)


const showPromotion = function () {
  PromotionStore.showPromotion()
}


</script>
<template>
  <v-container>
    <v-row>
      <v-col cols="12" class="pt-0 mt-0 pb-0">
        <h2>Payment</h2>
      </v-col>
      <v-col cols="6" class="pt-0 mt-0 pb-0"> Total : </v-col>
      <v-col cols="6" class="pt-0 mt-0 pb-0" style="text-align: right; padding-right: 30px">
        {{ receiptStore.receipt?.totalBefore }} Baht
      </v-col>
      <v-col cols="3" class="pt-0 mt-0 pb-0 pr-0"> Discount : </v-col>
      <v-col cols="4" class="pt-0 mt-0 pb-0 pl-0">
        <v-btn
          size="x-small"
          class="me-2 text-none"
          style="background-color: rgb(226, 255, 182)"
          @click="showPromotion"
          >PromotionButton</v-btn
        >
      </v-col>
      <v-col cols="5" class="pt-0 mt-0 pb-0" style="text-align: right; padding-right: 30px">
        {{
          receiptStore.receipt.PromotionDiscount +
          receiptStore.receipt.customerDiscount +
          receiptStore.receipt.PointDiscount
        }}
        Baht
      </v-col>
      <v-col cols="12" class="pt-0 mt-0 pb-0 mb-0" style="font-size: 20px">
        ----------------------------------------------------
      </v-col>
      <v-col cols="6" class="pt-0 mt-0 pb-0"> Total : </v-col
      ><v-col cols="6" class="pt-0 mt-0 pb-1" style="text-align: right; padding-right: 30px">
        <span style="text-align: right">{{ receiptStore.receipt?.total }} Baht</span>
      </v-col>

      <v-col cols="12" class="pa-1 text-center pt-0">
        <v-btn
          :style="{ backgroundColor: receiptStore.CreditcardBGC, color: receiptStore.CreditcardFC }"
          density="comfortable"
          class="me-2 text-none"
          width="70px"
          icon="mdi-credit-card"
          rounded
          @click="receiptStore.selectPaymentType('Creditcard')"
          style="text-align: right"
        ></v-btn>
        <v-btn
          :style="{ backgroundColor: receiptStore.CashBGC, color: receiptStore.CashFC }"
          class="me-2 text-none"
          density="comfortable"
          width="70px"
          icon="mdi-cash"
          rounded
          @click="receiptStore.selectPaymentType('Cash')"
          style="text-align: right"
        ></v-btn>
        <v-btn
          :style="{ backgroundColor: receiptStore.QRcodeBGC, color: receiptStore.QRcodeFC }"
          density="comfortable"
          width="70px"
          icon="mdi-qrcode"
          class="me-2 text-none"
          rounded
          @click="receiptStore.selectPaymentType('QRcode')"
        ></v-btn>
      </v-col>
    </v-row>
  </v-container>
  <PromotionDialog></PromotionDialog>
</template>
